<form [formGroup]="form" (ngSubmit)="onSubmit(form.value)" enctype="multipart/form-data">

<div class="outer-container">
  <div class="input-container">
    <div class="form-input-container" >
      <mat-form-field class="input-block">
        <input matInput [disabled]="isEdit" [(ngModel)]="selectedTransaction.transactionId" maxLength="10" placeholder="Id Transaksi" name="transactionId" id="transactionId" formControlName="transactionId" >
      </mat-form-field>
    </div>

    <div class="form-input-container">
      <mat-form-field class="input-block">
        <input [disabled]="isEdit" [(ngModel)]="selectedTransaction.transactionDate" matInput type="date" placeholder="Tanggal Transaksi" name="transactionDate" id="transactionDate" formControlName="transactionDate">
      </mat-form-field>
      <div class="input-message-container">
        <p *ngIf="form.controls.transactionDate.errors?.required&&(form.controls.transactionDate.touched||submitted)" class="error-message">Tanggal transaksi tidak boleh kosong</p>
        <p *ngIf="form.controls.transactionDate.errors?.validateDate&&(form.controls.transactionDate.touched||submitted)" class="error-message">Masukkan tanggal dengan format yang benar </p>
      </div>
    </div>

    <div class="form-input-container">
      <mat-form-field class="input-block">
        <input matInput [(ngModel)]="selectedTransaction.transactionPIC" placeholder="PIC Transaksi" name="transactionPIC" id="transactionPIC" formControlName="transactionPIC">
        <button mat-button [disabled]="checkFormDisabled()" *ngIf="selectedTransaction.transactionPIC" matSuffix mat-icon-button aria-label="Clear" (click)="selectedTransaction.transactionPIC=''">
            <mat-icon>close</mat-icon>
        </button>
      </mat-form-field>
        <div class="input-message-container">
            <p *ngIf="form.controls.transactionPIC.errors?.required&&(form.controls.transactionPIC.touched||submitted)" class="error-message">PIC Transaksi tidak boleh kosong</p>
        </div>
    </div>

    <div class="form-input-container" >
      <mat-form-field class="input-block">
        <input matInput [disabled]="isEdit" [(ngModel)]="selectedTransaction.itemId" maxLength="10" UpperCaseText placeholder="Id Barang" name="itemId" id="itemId" formControlName="itemId" >
        <a (click)="openItemDetailDialog('Info')" *ngIf='selectedTransaction.itemId' matSuffix mat-icon-button><mat-icon>info</mat-icon></a>
        <a (click)="openItemDetailDialog('Change')" *ngIf='!isEdit' id="changeBtn" matSuffix mat-raised-button>Ganti</a>
      </mat-form-field>
      
      <div class="input-message-container">
          <p *ngIf="!selectedTransaction.itemId&&submitted" class="error-message">Id Barang tidak boleh kosong.</p>
      </div>
    </div>

    <div class="form-input-container">
      <mat-form-field class="input-block">
        <input matInput CurrencyFormatter maxLength="15" [(ngModel)]="selectedTransaction.itemSoldPrice" OnlyNumber="true"  placeholder="Harga jual (IDR)" name="itemSoldPrice" id="itemSoldPrice" formControlName="itemSoldPrice">
        <button mat-button [disabled]="checkFormDisabled()" *ngIf="selectedTransaction.itemSoldPrice" matSuffix mat-icon-button aria-label="Clear" (click)="selectedTransaction.itemSoldPrice=''">
            <mat-icon>close</mat-icon>
        </button>
      </mat-form-field>
      <div class="input-message-container">
        <p *ngIf="form.controls.itemSoldPrice.errors?.required&&(form.controls.itemSoldPrice.touched||submitted)" class="error-message">Harga jual tidak boleh kosong.</p>
      </div>
    </div>
  </div>
</div>

  <div class="input-container submit-button-container">
    <a (click)="sendCancel()" color="light" mat-raised-button>Batal</a>
    <button *ngIf="!checkFormDisabled()" type="submit" color="accent" mat-raised-button>Simpan</button>
  </div>
</form>
